PIKLAB(SECTION)

PIKLAB-HEX - Tool to check INHEX-files.

SYNOPSIS
piklab-hex [options] [command] [file].hex

DESCRIPTION
This manual page documents briefly the piklab-hex command. Piklab-hex is a command line tool to check files, if they are valid Hex-files which comply with the INHEX-Standard defined by Intel corporation.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
        Show summary of options.

-v, --version
        Show version of program.

--author
        Show author information

--license
        Show license information

-c [command]
        Option to issue a command.

COMMANDS

check Check file, if it is a valid intel-hex-file.

info Return information about hex file.

fix Clean hex file and fix errors (wrong CRC, truncated line, truncated file).

compare Compare two hex files.

SEE ALSO
piklab(1),
    piklab-prog(1),

AUTHORS
piklab was written by Nicolas Hadacek and many others, including:
    * Alain Gibaud: author of Pikdev; main infrastructure; IDE interface; direct programmers; gputils integration.
    * Keith Baker: direct programmer support for 16F7X devices.
    * Xiaofan Chen: numerous tests of PICkit1/2 and ICD2 programmers.
    * Craig Franklin: author of gputils (disassembler and coff parser).
    * Manwlis Giannos: direct programmer support for PIC18FXX2/FXX8 devices.
    * Stephen Landamore: author of LPLAB (microchip command-line programmer).
    * Brian C. Lane: original code for direct programming.
    * Sébastion Laoût: author of Likeback.
    * Nestor A. Marchesini: tests of PicStart+ programmer.
    * Lorenz Mösenlechner and Matthias Kranz: USB support for ICD2 programmer.
    * Mirko Panciri: direct programmers with bidirectionnal buffers.
    * Sean A. Walberg: direct programmer support for 16F676/630 devices. Translations:
    * Michele Petrecca: Italian translation.
    * Alain Portal: French translation.
    * Stefan von Halenbach: German translation.
    * Nagy Lázló: Hungarian translation.

COPYRIGHT
    This is free software. You may redistribute copies of it under the terms of the GNU General Public License
           <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

This manual page was written by Stefan <vonHalenbach@users.sf.net>, for the Debian project (but may be used by others).